<template>
	<div class="login-box box">
		<div class="login-logo">
			<h1>Sign In</h1>
		</div>
		<!-- /.login-logo -->
		<div class="login-box-body">
		<p class="login-box-msg">Sign in to start your session</p>
      <form action="../../index2.html" method="post">
        <div class="form-group has-feedback" :class="showErrorClass('email')">
          <input
            v-model="form.email"
            name="email"
            v-validate="'required|email'"
            type="email"
            class="form-control"
            placeholder="Email"
          >
          <span class="glyphicon glyphicon-envelope form-control-feedback"></span>
          <span v-show="errors.has('email')" class="help-block">{{ errors.first('email') }}</span>
        </div>
        <div class="form-group has-feedback" :class="showErrorClass('password')">
          <input
            v-model="form.password"
            name="password"
            v-validate="'required'"
            type="password"
            class="form-control"
            placeholder="Password"
            autocomplete="off"
          >
          <span class="glyphicon glyphicon-lock form-control-feedback"></span>
          <span v-show="errors.has('password')" class="help-block">{{ errors.first('password') }}</span>
        </div>
        <div class="row">
          <div class="col-xs-8">
            <div class="checkbox icheck">
              <label>
                <input type="checkbox"> Remember Me
              </label>
            </div>
          </div>
          <!-- /.col -->
          <div class="col-xs-4">
            <a @click="submit" class="btn btn-primary btn-block btn-flat">Sign In</a>
          </div>
          <!-- /.col -->
        </div>
      </form>

      <a href="#">I forgot my password</a>
      <br>
    </div>
    <!-- /.login-box-body -->
    <div class="overlay" v-show="saving">
      <i class="fa fa-spinner fa-pulse fa-spin"></i>
    </div>
  </div>
  <!-- /.login-box -->
</template>
<script src="./Login.js"></script>
